[arch-commits] Commit in btrfs-progs-unstable/trunk (2 files)

Tobias Powalowski tpowa at archlinux.org
Mon Jun 7 12:54:11 EDT 2010


    Date: Monday, June 7, 2010 @ 12:54:11
  Author: tpowa
Revision: 82019

upgpkg: btrfs-progs-unstable 0.19.20100607-1
bump to latest version

Added:
  btrfs-progs-unstable/trunk/btrfs-progs-build-fixes.patch
Modified:
  btrfs-progs-unstable/trunk/PKGBUILD

-------------------------------+
 PKGBUILD                      |   17 +++++++++++------
 btrfs-progs-build-fixes.patch |   32 ++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-07 16:35:03 UTC (rev 82018)
+++ PKGBUILD	2010-06-07 16:54:11 UTC (rev 82019)
@@ -1,23 +1,28 @@
 # $Id$
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 pkgname=btrfs-progs-unstable
-pkgver=0.19.20100317
+pkgver=0.19.20100607
 pkgrel=1
 pkgdesc="btrfs filesystem utilities"
 arch=(i686 x86_64)
 depends=('glibc' 'e2fsprogs')
-source=(ftp://ftp.archlinux.org/other/$pkgname/$pkgname-$pkgver.tar.bz2)
+source=(ftp://ftp.archlinux.org/other/$pkgname/$pkgname-$pkgver.tar.bz2
+         btrfs-progs-build-fixes.patch)
 url="http://btrfs.wiki.kernel.org/"
 license=('GPL2')
 
 build() {
    cd $srcdir/$pkgname
-   chmod 755 version.sh
-   ./version.sh
-   make convert || return 1
+   # fix for building with new glibc, taken from fedora
+   patch -Np1 -i ../btrfs-progs-build-fixes.patch || return 1
+   #chmod 755 version.sh
+   #./version.sh
+   make all || return 1
    make prefix=$pkgdir/usr install
    # fix manpage
    mkdir -p $pkgdir/usr/share/
    mv $pkgdir/usr/man $pkgdir/usr/share/man
 }
-md5sums=('a31150268be9116bb0858682bbaf1a74')
+md5sums=('94b9bff5a66420c658f422c97dc12f69')
+md5sums=('94b9bff5a66420c658f422c97dc12f69'
+         '7a3477bb2496ace2b1ea1f7ad48f9b7c')

Added: btrfs-progs-build-fixes.patch
===================================================================
--- btrfs-progs-build-fixes.patch	                        (rev 0)
+++ btrfs-progs-build-fixes.patch	2010-06-07 16:54:11 UTC (rev 82019)
@@ -0,0 +1,32 @@
+--- btrfs-progs-0.19/btrfsck.c	
++++ btrfs-progs-0.19/btrfsck.c	
+@@ -21,6 +21,9 @@ 
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <fcntl.h>
++#include <sys/types.h>
++#include <sys/stat.h>
++#include <unistd.h>
+ #include "kerncompat.h"
+ #include "ctree.h"
+ #include "disk-io.h"
+--- btrfs-progs-0.19/mkfs.c	
++++ btrfs-progs-0.19/mkfs.c	
+@@ -341,7 +341,7 @@ int main(int ac, char **av)
+ 	u64 alloc_start = 0;
+ 	u64 metadata_profile = BTRFS_BLOCK_GROUP_RAID1 | BTRFS_BLOCK_GROUP_DUP;
+ 	u64 data_profile = BTRFS_BLOCK_GROUP_RAID0;
+-	u32 leafsize = getpagesize();
++	u32 leafsize = sysconf(_SC_PAGESIZE);
+ 	u32 sectorsize = 4096;
+ 	u32 nodesize = leafsize;
+ 	u32 stripesize = 4096;
+@@ -398,7 +398,7 @@ int main(int ac, char **av)
+ 				print_usage();
+ 		}
+ 	}
+-	sectorsize = max(sectorsize, (u32)getpagesize());
++	sectorsize = max(sectorsize, (u32)sysconf(_SC_PAGESIZE));
+ 	if (leafsize < sectorsize || (leafsize & (sectorsize - 1))) {
+ 		fprintf(stderr, "Illegal leafsize %u\n", leafsize);
+ 		exit(1);



More information about the arch-commits mailing list